> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/marketing-solutions/report/products/{reportId}

> Downloads the generated all-products report export.
<br />
This endpoint is subject to specific rate limits.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json get /preview/marketing-solutions/report/products/{reportId}
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/marketing-solutions/report/products/{reportId}:
    get:
      tags:
        - Analytics
      summary: /preview/marketing-solutions/report/products/{reportId}
      description: "Downloads the generated all-products report export.\r\n<br />\r\nThis endpoint is subject to specific rate limits."
      operationId: DownloadAllProductsExport
      parameters:
        - name: reportId
          in: path
          description: The identifier of the all-products report export.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: string
                format: binary
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````